Bug 683293 - can't disable screensaver/locking
can't disable screensaver/locking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F15Target
  Show dependency treegraph
 
Reported: 2011-03-08 20:54 EST by Jens Petersen
Modified: 2012-08-07 14:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-03-08 20:54:43 EST
Description of problem:
It doesn't seem possible to stop gnome-screensaver
from activating and locking the screen in F15 Alpha.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.91.90-1.fc15 and earlier

How reproducible:
every time

Steps to Reproduce:
1. System -> System Settings -> Screen -> Lock -> Off
2. leave desktop running for a while and return
  
Actual results:
2. screen is locked

Expected results:
2. screen not to be locked

Additional info:
This has been happening for a while and is annoying
particularly on virt guests.
Comment 1 Jens Petersen 2011-03-08 20:55:27 EST
Adding to F15Target though personally I consider this to be a Blocker.
Comment 2 Jeff Bastian 2011-03-25 22:32:14 EDT
The timeout is also extremely short regardless of the setting in the control panel.  I have it set to 10 minutes, but my screen starts to fade/dim after just 10 seconds.  Increasing the timeoout to 30 minutes has no affect.

Even disabling the screensaver has no effect: it starts to dim after 10 seconds and then locks the screen.

I just upgraded to gnome-screensaver-2.91.91-1.fc15.x86_64
Comment 3 Ben Skeggs 2011-03-29 20:30:46 EDT
A big "ME TOO" here.. 10 seconds?! That's insane..
Comment 4 Vít Ondruch 2011-03-30 04:26:22 EDT
With gnome-screensaver-2.91.92-1.fc15.x86_64 I had also the insane 10 seconds timeout, but after change to different value in settings, it changes some default probably and appears to work fine.
Comment 5 Jeff Bastian 2011-03-31 09:01:38 EDT
Upgrading to gnome-screensaver-2.91.92-1.fc15.x86_64 has fixed the 10 second timeout for me also.
Comment 6 Iven Hsu 2011-04-03 01:21:31 EDT
Not fixed for me, and I think it's 5 seconds.
It may not be related to gnome-screensaver, but the idle-delay property of gnome session doesn't work. Even if I kill gnome-screensaver, the user switch applet becomes busy, and text entries lose their focus.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:55:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:58:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2012-08-07 14:17:24 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.